> For the complete documentation index, see [llms.txt](https://docs.zrxnx.at/zrxnx-scripts/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zrxnx.at/zrxnx-scripts/archived/zrx_repairkit/configuration.md).

# Configuration

```lua
local seconds, minutes = 1000, 60000
Config = {}

Config.CheckForUpdates = true --| Check for updates?
Config.Cooldown = 3 --| Note: Between actions | In seconds
Config.UseVehicleDeformation = false --| https://forum.cfx.re/t/release-vehicledeformation-get-set-and-sync-vehicle-deformations-now-a-full-resource/4796026

Config.RepairKits = {
    {
        item = 'repairkit_bike', --| Item name
        usetime = 10 * seconds, --| Usetime
        allowedClasses = { --| https://docs.fivem.net/natives/?_0x29439776AAA00A62
            [8] = true
        },
        allowedVehicles = { --| Allowed vehicles
            [`bati`] = true --| as hash
        },
        allowedJobs = { --| Allowed jobs
            unemployed = true --| job name
        },
        anim = {
            dict = 'anim@amb@clubhouse@tutorial@bkr_tut_ig3@',
            lib = 'machinic_loop_mechandplayer'
        }
    },

    {
        item = 'repairkit_car',
        usetime = 10 * seconds,
        --allowedClasses = {}, --| Remove if not used
        allowedJobs = {
            police = true
        },
        allowedVehicles = {
            [`t20`] = true
        },
        anim = {
            dict = 'anim@amb@clubhouse@tutorial@bkr_tut_ig3@',
            lib = 'machinic_loop_mechandplayer'
        }
    },
}

--| Place here your texui
Config.TextUI = function(action, msg)
    if action == 'open' then
        lib.showTextUI(msg)
    elseif action == 'close' then
        lib.hideTextUI()
    end
end

--| Place here your punish actions
Config.PunishPlayer = function(player, reason)
    if not IsDuplicityVersion() then return end
    if Webhook.Links.punish:len() > 0 then
        local message = ([[
            The player got punished

            Reason: **%s**
        ]]):format(reason)

        CORE.Server.DiscordLog(player, 'PUNISH', message, Webhook.Links.punish)
    end

    DropPlayer(player, reason)
end
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zrxnx.at/zrxnx-scripts/archived/zrx_repairkit/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
